
DROP TABLE IF EXISTS `survey`;
CREATE TABLE `survey` (
  `id` int(16) NOT NULL auto_increment,
  `title` varchar(80) default NULL,
  `control_type` varchar(16) default NULL,
  `button_dontknow_enabled` int(2) default NULL,
  `button_refuse_enabled` int(2) default NULL,
  `button_na_enabled` int(2) default NULL,
  `button_prev_enabled` int(2) default NULL,
  `button_next_enabled` int(2) default NULL,
  `button_repeat_enabled` int(2) default NULL,
  `text` blob,
  `choice1` blob,
  `choice2` blob,
  `choice3` blob,
  `choice4` blob,
  `choice5` blob,
  `choice6` blob,
  `choice7` blob,
  `choice8` blob,
  `choice9` blob,
  `choice10` blob,
  `choice11` blob,
  `choice12` blob,
  `choicecount` int(16) default NULL,
  `yes_redirect` varchar(80) default NULL,
  `no_redirect` varchar(80) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

--
-- Dumping data for table `survey`
--


/*!40000 ALTER TABLE `survey` DISABLE KEYS */;
LOCK TABLES `survey` WRITE;
INSERT INTO `survey` VALUES (1,'Introduction','choice',0,0,0,0,0,0,'How would you describe your RACE or ETHNICITY?','Black, African American','Hispanic, Latino, Mexican American ','White, European American (non-Hispanic) ','Asian, Pacific Islander ','Native American, American Indian, Aleut, ','Other',NULL,NULL,NULL,NULL,NULL,NULL,6,NULL,NULL),(2,'1.2','choice',1,0,0,0,0,0,'How would you describe your SEX or GENDER?\r\n\r\n','Male','Female','Transgender female (born male, identify \r\nas female)','Transgender male (born female, identify \r\nas male)','Other',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,NULL,NULL),(3,'1.3','text',1,1,0,0,1,0,'What CITY do you currently live in?',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(4,'1.4','number',0,0,0,0,1,0,'What is your 5-digit ZIP CODE?',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(5,'1.5','number',0,1,0,0,1,0,'What is your current AGE?',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(6,'1.6','date',0,0,0,0,1,0,'What is your DATE OF BIRTH? ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(7,'1.7','choice',0,1,0,0,1,0,'What is your current MARITAL STATUS?\r\n\r\n','Single','Married','Divorced ','Widowed','Separated',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,NULL,NULL),(8,'1.8.1','yesno',0,1,0,0,0,0,'Are you married?',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'13','NONE'),(9,'1.8.2','yesno',0,1,0,0,0,0,'Are you single and in a long-term, commited and serious relationship with one person?',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'15','NONE'),(10,'1.8.3','yesno',0,1,0,0,0,0,'Are you single and in a casual relationship with one person? ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'15','NONE'),(11,'1.8.4','yesno',0,1,0,0,0,0,'Are you single and currently seeing/dating more than one person? ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'15','NONE'),(12,'1.8.5','yesno',0,1,0,0,0,0,'Are you not married and not currently seeing/dating anyone?',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'15','NONE'),(13,'1.8.a','yesno',0,1,0,0,0,0,'Are you seeing another woman outside of your marriage?',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'NONE','NONE'),(14,'1.8.b','yesno',0,1,0,0,0,0,'Are you seeing a man outside of your marriage?',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'NONE','NONE'),(15,'1.9','text',0,1,0,0,1,0,'What COUNTRY were you BORN in?',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(16,'1.10','choice',0,1,0,0,1,0,'What is the HIGHEST GRADE you completed in SCHOOL?','Less than Grade School','Less than High School','High School Diploma or GED','Technical or Vocational School','Some College, but did not finish','College Degree','Some Graduate School','Graduate Degree',NULL,NULL,NULL,NULL,8,NULL,NULL),(17,'1.11','choice',0,1,0,0,1,0,'During the past 3 months, where did you LIVE MOST OF THE TIME?','In my own house or apartment','In my parents house or apartment','In a friends house or apartment','In a sexual partners house or apartment','In a hotel or rooming house','In a shelter','On the streets','In prison or in jail','Drug treatment program',NULL,NULL,NULL,9,NULL,NULL),(18,'1.12','yesno',0,1,0,0,1,0,'Have you been HOMELESS at any time in the past year?',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'NONE','NONE'),(19,'1.13','choice',0,0,0,0,1,0,'For the past 3 months, how would you describe your general WORKING STATUS?','Employed full-time','Employed part-time','Employed sometimes','Unemployed',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL),(20,'1.14','multi',0,1,0,0,1,0,'In the past 3 months, what were your sources of INCOME?','A job','Welfare, public assistance, or food stamps','Other benefits like Social Security, Disability, Unemployment','Income from a spouse, family, or friends','Church','Sex for pay','Hustlinglike drug dealing, stealing, etc.','Other ',NULL,NULL,NULL,NULL,8,NULL,NULL),(21,'1.15','choice',0,1,0,0,1,0,'About how much INCOME did you earn last month?','$0 to $249','$250 to $499','$500 to $999','$1,000 to $1,999','$2,000 to $2,999','more than $3,000',NULL,NULL,NULL,NULL,NULL,NULL,6,NULL,NULL),(22,'1.16','number',0,1,0,0,1,0,'How many CHILDREN do you have?',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(23,'1.17','number',0,1,0,0,0,0,'How many children do you currently TAKE CARE of?',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
UNLOCK TABLES;
