<?php
    # POST Inputs:
    #   page_id      =>  Id of the page being edited.  Default is 1.
    #   text         =>  text of the page being edited.  Fetch from database when not provided.
    #   control      =>  control of the page being edited.  Fetch from database when not provided.
    #   dontknow     =>  button state.  'true' means set, 'false' means unchecked.  Fetch from database when not provided.
    #   refuse       =>  button state.  'true' means set, 'false' means unchecked.  Fetch from database when not provided.
    #   na           =>  button state.  'true' means set, 'false' means unchecked.  Fetch from database when not provided.
    #   prev         =>  button state.  'true' means set, 'false' means unchecked.  Fetch from database when not provided.
    #   next         =>  button state.  'true' means set, 'false' means unchecked.  Fetch from database when not provided.
    #   repeat       =>  button state.  'true' means set, 'false' means unchecked.  Fetch from database when not provided.
    #   choice1      =>  Multiple choice value.  Fetch from database when not provided.
    #   choice2      =>  Multiple choice value.  Fetch from database when not provided.
    #   choice3      =>  Multiple choice value.  Fetch from database when not provided.
    #   choice4      =>  Multiple choice value.  Fetch from database when not provided.
    #   choice5      =>  Multiple choice value.  Fetch from database when not provided.
    #   choice6      =>  Multiple choice value.  Fetch from database when not provided.
    #   choice7      =>  Multiple choice value.  Fetch from database when not provided.
    #   choice8      =>  Multiple choice value.  Fetch from database when not provided.
    #   choice9      =>  Multiple choice value.  Fetch from database when not provided.
    #   choice10     =>  Multiple choice value.  Fetch from database when not provided.
    #   choice11     =>  Multiple choice value.  Fetch from database when not provided.
    #   choice12     =>  Multiple choice value.  Fetch from database when not provided.
    #   choicecount  =>  Number of buttons displayed for choice control. Fetch from database when not provided.
    #   apply        =>  When set, commit input variables to the database.
    #   add_name     =>  Name of new page to create.
    #   add_position =>  Postion to add new page.  
    #   yes_redirect =>  Name of page to redirect to if 'yes' is selected.
    #   no_redirect  =>  Name of page to redirect to if 'no' is selected.
    #   delete_page  =>  Name of page to delete.
    #   title        =>  Title of page.
    #   move_page    =>  Page title of page to be moved.
    #   move_around  =>  Page to move around.
    #   move_position => Manner to move page around, ie. before or after move_around page.
    #   choice1_redirect  =>  Name of page to redirect to if option is chosen.
    #   choice2_redirect  =>  Name of page to redirect to if option is chosen.
    #   choice3_redirect  =>  Name of page to redirect to if option is chosen.
    #   choice4_redirect  =>  Name of page to redirect to if option is chosen.
    #   choice5_redirect  =>  Name of page to redirect to if option is chosen.
    #   choice6_redirect  =>  Name of page to redirect to if option is chosen.
    #   choice7_redirect  =>  Name of page to redirect to if option is chosen.
    #   choice8_redirect  =>  Name of page to redirect to if option is chosen.
    #   choice9_redirect  =>  Name of page to redirect to if option is chosen.
    #   choice10_redirect =>  Name of page to redirect to if option is chosen.
    #   choice11_redirect =>  Name of page to redirect to if option is chosen.
    #   choice12_redirect =>  Name of page to redirect to if option is chosen.

    $_key =  '';
    $_value =  '';
    $_post = "";
    foreach($_POST as $_key => $_value) {
        $_post .= $_key . ' => "' . $_value . "\"\n";
    }
    unset($_key);
    unset($_value);
?>
<!--
<pre>
<?php echo($_post); ?>
</pre>
-->
<?php
    require "sdb.php";

# ------------------------------------------------------------------------------
    
function error_page($errstr, $errval) {
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
    <TITLE>Oops!</TITLE>
    <META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <LINK REL=STYLESHEET HREF="style.css" TYPE="text/css">
</HEAD>
<BODY>
<H1>Oops!</H1>
<p>They survey creation tool has reported the following error:<br>
<br>
<b>"<?php echo($errstr); ?>"</b></p>
<p>You may press the browser's "back" button to return to the previous screen and try to fix the problem.</p>
<br>
<pre>
Debug info: <?php trigger_error($errstr, $errval); ?>
<?php echo($_post); ?>
</pre>
</BODY>
<?php
        exit;
    }

# ------------------------------------------------------------------------------

    $_error  = "";
    $_result = 0;
    $_page_id = 1;
    $_pages = array();
    $_title = "";
    $_text = '';
    $_control = '';
    $_yes_redirect = "NONE";
    $_no_redirect = "NONE";
    $_pages = array();
    $_buttons = array( "dontknow" => 0,
                       "refuse"   => 0,
                       "na"       => 0,
                       "prev"     => 0,
                       "next"     => 0,
                       "repeat"   => 0);

    $_choices = array( "choice1" => "",
                       "choice2" => "",
                       "choice3" => "",
                       "choice4" => "",
                       "choice5" => "",
                       "choice6" => "",
                       "choice7" => "",
                       "choice8" => "",
                       "choice9" => "",
                       "choice10" => "",
                       "choice11" => "",
                       "choice12" => "");
    $_choicecount = 2;
    $_choice_redirects = array( "choice1" => "NONE",
                                "choice2" => "NONE",
                                "choice3" => "NONE",
                                "choice4" => "NONE",
                                "choice5" => "NONE",
                                "choice6" => "NONE",
                                "choice7" => "NONE",
                                "choice8" => "NONE",
                                "choice9" => "NONE",
                                "choice10" => "NONE",
                                "choice11" => "NONE",
                                "choice12" => "NONE" );
    $_key = '';
    $_value = '';

    if (isset($_POST['add_name'])) {
        if (!isset($_POST['add_position'])) {
            error_page("Add position required to add new page.", E_USER_ERROR);
            exit;
        }

        if (!isset($_POST['add_around'])) {
            error_page("Add around page required to add new page.", E_USER_ERROR);
            exit;
        }

        # Duplicate page titles may not be added.
        if (sdb_is_title_unique("practice", null, $_POST['add_name']) == false) {
            error_page("The page name you have chosen has already been used.", E_USER_ERROR);
            return;
        }

        $_result = sdb_add_page("practice", $_POST['add_position'], $_POST['add_around'], $_POST['add_name'], $_error);
        if ($_result != 0) {
            error_page($_error, $_result);
        }
    }

    if (isset($_POST['delete_page'])) {
        $_result = sdb_delete_page("practice", $_POST['delete_page'], $_error);
        if ($_result != 0) {
            error_page($_error, $_result);
        }
    }

    if (isset($_POST['move_page'])) {
        if (!isset($_POST['move_position'])) {
            error_page("Move position was not specified.", E_USER_ERROR);
        }
        if (!isset($_POST['move_around'])) {
            error_page("Move page was not specified.", E_USER_ERROR);
        }

        $_result = sdb_move_page("practice", $_POST['move_page'], $_POST['move_position'], $_POST['move_around'], $_error);
        if ($_result != 0) {
            error_page($_error, $_result);
        }
    }

    if (isset($_POST['apply'])) {
        # Verify all input variables.
        if (!isset($_POST['page_id'])) {
            error_page("User ID required for database update.", E_USER_ERROR);
        }

        $text     = null;
        $title    = null;
        $control  = null;
        $dontknow = null;
        $refuse   = null;
        $na       = null;
        $prev     = null;
        $next     = null;
        $repeat   = null;
        $choice1  = null;
        $choice2  = null;
        $choice3  = null;
        $choice4  = null;
        $choice5  = null;
        $choice6  = null;
        $choice7  = null;
        $choice8  = null;
        $choice9  = null;
        $choice10 = null;
        $choice11 = null;
        $choice12 = null;
        $choicecount = null;
        $yes_redirect = null;
        $no_redirect = null;
        $choice1_redirect = null;
        $choice2_redirect = null;
        $choice3_redirect = null;
        $choice4_redirect = null;
        $choice5_redirect = null;
        $choice6_redirect = null;
        $choice7_redirect = null;
        $choice8_redirect = null;
        $choice9_redirect = null;
        $choice10_redirect = null;
        $choice11_redirect = null;
        $choice12_redirect = null;


        if (isset($_POST['text'])) {
            $text = $_POST['text'];
        }
        if (isset($_POST['title'])) {
            $title = $_POST['title'];
        }
        if (isset($_POST['control'])) {
            $control = $_POST['control'];
        }
        if (isset($_POST['dontknow'])) {
            $dontknow = $_POST['dontknow'];
        }
        if (isset($_POST['refuse'])) {
            $refuse = $_POST['refuse'];
        }
        if (isset($_POST['na'])) {
            $na = $_POST['na'];
        }
        if (isset($_POST['prev'])) {
            $prev = $_POST['prev'];
        }
        if (isset($_POST['next'])) {
            $next = $_POST['next'];
        }
        if (isset($_POST['repeat'])) {
            $repeat = $_POST['repeat'];
        }
        if (isset($_POST['choice1'])) {
            $choice1 = $_POST['choice1'];
        }
        if (isset($_POST['choice2'])) {
            $choice2 = $_POST['choice2'];
        }
        if (isset($_POST['choice3'])) {
            $choice3 = $_POST['choice3'];
        }
        if (isset($_POST['choice4'])) {
            $choice4 = $_POST['choice4'];
        }
        if (isset($_POST['choice5'])) {
            $choice5 = $_POST['choice5'];
        }
        if (isset($_POST['choice6'])) {
            $choice6 = $_POST['choice6'];
        }
        if (isset($_POST['choice7'])) {
            $choice7 = $_POST['choice7'];
        }
        if (isset($_POST['choice8'])) {
            $choice8 = $_POST['choice8'];
        }
        if (isset($_POST['choice9'])) {
            $choice9 = $_POST['choice9'];
        }
        if (isset($_POST['choice10'])) {
            $choice10 = $_POST['choice10'];
        }
        if (isset($_POST['choice11'])) {
            $choice11 = $_POST['choice11'];
        }
        if (isset($_POST['choice12'])) {
            $choice12 = $_POST['choice12'];
        }
        if (isset($_POST['choicecount'])) {
            $choicecount = $_POST['choicecount'];
        }
        if (isset($_POST['yes_redirect'])) {
            $yes_redirect = $_POST['yes_redirect'];
        }
        if (isset($_POST['no_redirect'])) {
            $no_redirect = $_POST['no_redirect'];
        }
        if (isset($_POST['choice1_redirect'])) {
            $choice1_redirect = $_POST['choice1_redirect'];
        }
        if (isset($_POST['choice2_redirect'])) {
            $choice2_redirect = $_POST['choice2_redirect'];
        }
        if (isset($_POST['choice3_redirect'])) {
            $choice3_redirect = $_POST['choice3_redirect'];
        }
        if (isset($_POST['choice4_redirect'])) {
            $choice4_redirect = $_POST['choice4_redirect'];
        }
        if (isset($_POST['choice5_redirect'])) {
            $choice5_redirect = $_POST['choice5_redirect'];
        }
        if (isset($_POST['choice6_redirect'])) {
            $choice6_redirect = $_POST['choice6_redirect'];
        }
        if (isset($_POST['choice7_redirect'])) {
            $choice7_redirect = $_POST['choice7_redirect'];
        }
        if (isset($_POST['choice8_redirect'])) {
            $choice8_redirect = $_POST['choice8_redirect'];
        }
        if (isset($_POST['choice9_redirect'])) {
            $choice9_redirect = $_POST['choice9_redirect'];
        }
        if (isset($_POST['choice10_redirect'])) {
            $choice10_redirect = $_POST['choice10_redirect'];
        }
        if (isset($_POST['choice11_redirect'])) {
            $choice11_redirect = $_POST['choice11_redirect'];
        }
        if (isset($_POST['choice12_redirect'])) {
            $choice12_redirect = $_POST['choice12_redirect'];
        }

        # Duplicate page titles may not be added.
        if (sdb_is_title_unique("practice", $_POST['page_id'], $title) == false) {
            error_page("The page name you have chosen has already been used.", E_USER_ERROR);
        }


        $_result = sdb_update_page("practice", $_POST['page_id'], $title, $text, $control, $dontknow, 
                                   $refuse, $na, $prev, $next, $repeat, $choice1, $choice2,
                                   $choice3, $choice4, $choice5, $choice6, $choice7, $choice8,
                                   $choice9, $choice10, $choice11, $choice12, $choicecount,
                                   $yes_redirect, $no_redirect, 
                                   $choice1_redirect, $choice2_redirect, $choice3_redirect, $choice4_redirect,
                                   $choice5_redirect, $choice6_redirect, $choice7_redirect, $choice8_redirect,
                                   $choice9_redirect, $choice10_redirect, $choice11_redirect, $choice12_redirect,
                                   $_error);
        if ($_result != 0) {
            error_page($_error, $_result);
        }
    }

    # Fetch page IDs.
    $_result = sdb_fetch_pages("practice", $_pages, $_error);
    if ($_result != 0) {
        error_page($_error, $_result);
    }

    if (isset($_POST['add_name'])) {
        foreach($_pages as $_key => $_value) {
            if ($_value == $_POST['add_name']) {
                $_page_id = $_key;
            }
        }
    } else if (isset($_POST['page_id'])) {
        $_page_id = $_POST['page_id'];
        unset($_POST['page_id']);
    }

    # Fetch page data.
    $_result = sdb_fetch_page("practice", $_page_id, $_title, $_text, $_control, $_buttons['dontknow'], 
                                  $_buttons['refuse'], $_buttons['na'], $_buttons['prev'], 
                                  $_buttons['next'], $_buttons['repeat'], $_choices['choice1'], 
                                  $_choices['choice2'], $_choices['choice3'], $_choices['choice4'], 
                                  $_choices['choice5'], $_choices['choice6'], $_choices['choice7'], 
                                  $_choices['choice8'], $_choices['choice9'], $_choices['choice10'], 
                                  $_choices['choice11'], $_choices['choice12'], $_choicecount,
                                  $_yes_redirect, $_no_redirect, 
                                  $_choice_redirects['choice1'], $_choice_redirects['choice2'],
                                  $_choice_redirects['choice3'], $_choice_redirects['choice4'],
                                  $_choice_redirects['choice5'], $_choice_redirects['choice6'],
                                  $_choice_redirects['choice7'], $_choice_redirects['choice8'],
                                  $_choice_redirects['choice9'], $_choice_redirects['choice10'],
                                  $_choice_redirects['choice11'], $_choice_redirects['choice12'],
                                  $_error);
    if ($_result != 0) {
        error_page($_error, $_result);
    }

    # Assign default values for uninitialized database items.
    if ($_choicecount == null) {
        $_choicecount = 2;
    }

    # Allow all input values to override database values.
    if (isset($_POST['text'])) {
        $_text = $_POST['text'];
        unset($_POST['text']);
    }

    if (isset($_POST['control'])) {
        $_control = $_POST['control'];
        unset($_POST['control']);
    }

    $_result = 0;
    foreach($_buttons as $_key => $_value) {
        if (isset($_POST[$_key])) {
            if ($_POST[$_key] == "0") {
                $_buttons[$_key] = 0;
            } else {
                $_buttons[$_key] = 1;
            }
            unset($_POST[$_key]);
        }
    }

    $_result = 0;
    foreach($_choices as $_key => $_value) {
        if (isset($_POST[$_key])) {
            $_choices[$_key] = $_POST[$_key];
            unset($_POST[$_key]);
        }
    }

    if (isset($_POST['choicecount'])) {
        $_choicecount = $_POST['choicecount'];
        unset($_POST['choicecount']);
    }

    if (isset($_POST['yes_redirect'])) {
        $_yes_redirect = $_POST['yes_redirect'];
        unset($_POST['yes_redirect']);
    }

    if (isset($_POST['no_redirect'])) {
        $_no_redirect = $_POST['no_redirect'];
        unset($_POST['no_redirect']);
    }

    unset($_key);
    unset($_value);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
    <TITLE>Page Editor</TITLE>
    <META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <LINK REL=STYLESHEET HREF="style.css" TYPE="text/css">
    <script type="text/javascript">

        //
        // Form handlers.
        //
        function add_page_form_handler() {
            if (document.new_page_form.add_name.value == "") {
                alert("Page name required!");
                return false;
            }
        }

        function delete_page_form_handler() {
            var w = document.delete_page_form.delete_page.selectedIndex;
            var title = document.delete_page_form.delete_page.options[w].value;
            return confirm("Are you sure you want to delete page \"" + title + "\"?");
        }

        function control_form_handler() {

            append_inputs(document.control_form);

            document.control_form.submit();
        }

        function apply_form_handler() {

            append_inputs(document.apply_form);

            document.apply_form.submit();
        }

        function choicecount_form_handler() {

            append_inputs(document.choicecount_form);

            document.choicecount_form.submit();
        }

        function append_inputs(form) {

            // Post page name.
            if (document.name_form != null) {
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "title");
                input.setAttribute("value", document.name_form.name.value);
                form.appendChild(input);
            }

            // Post text from textarea.
            if ((document.text_form != null) && (document.text_form.text != null)) {
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "text");
                input.setAttribute("value", document.text_form.text.value);
                form.appendChild(input);
            }

            // Post control setting.
            if ((document.control_form != null) && (document.control_form.control != null) &&
                (document.control_form.control.options != null)) {
                var w = document.control_form.control.selectedIndex;
                control_value=document.control_form.control.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "control");
                input.setAttribute("value", control_value);
                form.appendChild(input);
            }

            // Post Yes/No redirections.
            if (document.yesno_redirect_form != null) {
                var w = document.yesno_redirect_form.yes_options.selectedIndex;
                value = document.yesno_redirect_form.yes_options.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "yes_redirect");
                input.setAttribute("value", value);
                form.appendChild(input);

                var w = document.yesno_redirect_form.no_options.selectedIndex;
                value = document.yesno_redirect_form.no_options.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "no_redirect");
                input.setAttribute("value", value);
                form.appendChild(input);
            }

            // Post button states.
            if ((document.button_form != null) && (document.button_form.refuse != null)) {
                var value;
                if (document.button_form.refuse.checked == false) {
                    value = 0;
                } else {
                    value = 1;
                }
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "refuse");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.button_form != null) && (document.button_form.na != null)) {
                var value;
                if (document.button_form.na.checked == false) {
                    value = 0;
                } else {
                    value = 1;
                }
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "na");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.button_form != null) && (document.button_form.prev != null)) {
                var value;
                if (document.button_form.prev.checked == false) {
                    value = 0;
                } else {
                    value = 1;
                }
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "prev");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.button_form != null) && (document.button_form.next != null)) {
                var value;
                if (document.button_form.next.checked == false) {
                    value = 0;
                } else {
                    value = 1;
                }
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "next");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.button_form != null) && (document.button_form.repeat != null)) {
                var value;
                if (document.button_form.repeat.checked == false) {
                    value = 0;
                } else {
                    value = 1;
                }
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "repeat");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.button_form != null) && (document.button_form.dontknow != null)) {
                var value;
                if (document.button_form.dontknow.checked == false) {
                    value = 0;
                } else {
                    value = 1;
                }
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "dontknow");
                input.setAttribute("value", value);
                form.appendChild(input);
            }

            // Choices.
            if ((document.choice_form != null) && (document.choice_form.choice1)) {
                 input = document.createElement("input");
                 input.setAttribute("type", "hidden");
                 input.setAttribute("name", "choice1");
                 input.setAttribute("value", document.choice_form.choice1.value);
                 form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice2 != null)) {
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice2");
                input.setAttribute("value", document.choice_form.choice2.value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice3 != null)) {
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice3");
                input.setAttribute("value", document.choice_form.choice3.value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice4 != null)) {
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice4");
                input.setAttribute("value", document.choice_form.choice4.value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice5 != null)) {
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice5");
                input.setAttribute("value", document.choice_form.choice5.value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice6 != null)) {
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice6");
                input.setAttribute("value", document.choice_form.choice6.value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice7 != null)) {
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice7");
                input.setAttribute("value", document.choice_form.choice7.value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice8 != null)) {
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice8");
                input.setAttribute("value", document.choice_form.choice8.value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice9 != null)) {
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice9");
                input.setAttribute("value", document.choice_form.choice9.value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice10 != null)) {
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice10");
                input.setAttribute("value", document.choice_form.choice10.value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice11 != null)) {
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice11");
                input.setAttribute("value", document.choice_form.choice11.value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice12 != null)) {
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice12");
                input.setAttribute("value", document.choice_form.choice12.value);
                form.appendChild(input);
            }

            // Choice redirects.
            if ((document.choice_form != null) && (document.choice_form.choice1_redirect_select != null)) {
                var w = document.choice_form.choice1_redirect_select.selectedIndex;
                var value = document.choice_form.choice1_redirect_select.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice1_redirect");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice2_redirect_select != null)) {
                var w = document.choice_form.choice2_redirect_select.selectedIndex;
                var value = document.choice_form.choice2_redirect_select.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice2_redirect");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice3_redirect_select != null)) {
                var w = document.choice_form.choice3_redirect_select.selectedIndex;
                var value = document.choice_form.choice3_redirect_select.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice3_redirect");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice4_redirect_select != null)) {
                var w = document.choice_form.choice4_redirect_select.selectedIndex;
                var value = document.choice_form.choice4_redirect_select.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice4_redirect");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice5_redirect_select != null)) {
                var w = document.choice_form.choice5_redirect_select.selectedIndex;
                var value = document.choice_form.choice5_redirect_select.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice5_redirect");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice6_redirect_select != null)) {
                var w = document.choice_form.choice6_redirect_select.selectedIndex;
                var value = document.choice_form.choice6_redirect_select.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice6_redirect");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice7_redirect_select != null)) {
                var w = document.choice_form.choice7_redirect_select.selectedIndex;
                var value = document.choice_form.choice7_redirect_select.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice7_redirect");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice8_redirect_select != null)) {
                var w = document.choice_form.choice8_redirect_select.selectedIndex;
                var value = document.choice_form.choice8_redirect_select.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice8_redirect");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice9_redirect_select != null)) {
                var w = document.choice_form.choice9_redirect_select.selectedIndex;
                var value = document.choice_form.choice9_redirect_select.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice9_redirect");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice10_redirect_select != null)) {
                var w = document.choice_form.choice10_redirect_select.selectedIndex;
                var value = document.choice_form.choice10_redirect_select.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice10_redirect");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice11_redirect_select != null)) {
                var w = document.choice_form.choice11_redirect_select.selectedIndex;
                var value = document.choice_form.choice11_redirect_select.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice11_redirect");
                input.setAttribute("value", value);
                form.appendChild(input);
            }
            if ((document.choice_form != null) && (document.choice_form.choice12_redirect_select != null)) {
                var w = document.choice_form.choice12_redirect_select.selectedIndex;
                var value = document.choice_form.choice12_redirect_select.options[w].value;
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choice12_redirect");
                input.setAttribute("value", value);
                form.appendChild(input);
            }

            // Post choicecount.
            if ((document.choicecount_form != null) && (document.choicecount_form.choicecount != null)) {
                input = document.createElement("input");
                input.setAttribute("type", "hidden");
                input.setAttribute("name", "choicecount");
                input.setAttribute("value", document.choicecount_form.choicecount.value);
                form.appendChild(input);
            }
        }

    </script>
</HEAD>
<BODY>
<H1>Survey Editor</H1>
<!--
  == Next, previous navigation.
  -->
<h4>Choose page to edit:</h4>
<!--
<table bgcolor="red" cellpadding="0" cellspacing="0">
-->
<table width="330" cellspacing="1" cellpadding="0">
<?php
    echo('  <tr>' . "\n");
    echo('    <td width="110">' . "\n");
    if ($_page_id > 1) {
        echo('      <form method="post" action="pageedit.php">' . "\n");
        echo('        <input type="submit" value="<-- Prev Page">' . "\n");
        echo('        <input type="hidden" name="page_id" value="' . ($_page_id - 1) . '"/>' . "\n");
        echo('      </form>' . "\n");
    }
    echo('    </td>' . "\n");
    echo('    <td width="110">' . "\n");
    echo('    <form method="post" action="pageedit.php" name="edit_page_form">' . "\n");
    echo('      <select name="page_id" onChange="submit()">' . "\n");
    $_key =  '';
    $_value =  '';
    foreach ($_pages as $_key => $_value) {
        if ($_key == $_page_id) {
            echo('<OPTION VALUE="' . $_key . '" SELECTED="1">' . $_value . "</OPTION>\n");
        } else {
            echo('<OPTION VALUE="' . $_key . '">' . $_value . "</OPTION>\n");
        }
    }
    unset ($_key);
    unset ($_value);
    echo('        </select>' . "\n");
    echo('      </form>' . "\n");
    echo('    </td>' . "\n");
    echo('    <td width="110">' . "\n");
    if (isset($_pages[$_page_id + 1])) {
        echo('      <form method="post" action="pageedit.php">' . "\n");
        echo('        <input type="submit" value="Next Page -->">' . "\n");
        echo('        <input type="hidden" name="page_id" value="' . ($_page_id + 1) . '"/>' . "\n");
        echo('      </form>' . "\n");
    }
    echo('    </td>' . "\n");
    echo('  </tr>' . "\n");
?>
</table>
<h4>Page Properties:</h4>
<form name="name_form">
  <label>Page name:</label>
  <input type="text" name="name" value="<?php echo($_pages[$_page_id]); ?>"/>
</form>

<form name="text_form">
<label>Question:</label><br>
    <textarea name="text" cols="80" rows="5" ><?php echo($_text); ?></textarea>
</form>

<applet code="RecordApplet.class" archive="RecordApplet.jar" width=200 height=65>
   <param name=save_path value="C:\Program Files\EasyPHP1-8\www\admin\audio\">
   <param name=file_id value="<?php echo($_pages[$_page_id]) ?>">
</applet>
<br>

<form method="post" action="pageedit.php" name="control_form">
<label>Control Type
    <select name="control" ONCHANGE="control_form_handler();">
<?php
    $_key =  '';
    $_value =  '';
    $_controls = array("static" => "None",
                       "yesno"  => "Yes/No Entry",
                       "choice" => "Multiple Choice Entry(single selection)",
                       "multi"  => "Multiple Choice Entry(multiple selection)",
                       "text"   => "Text Entry",
                       "number"    => "Number Entry (e.g. Age or Zip code Entry",
                       "date"   => "Date Entry", 
                      );

    foreach ($_controls as $_key => $_value) {
        if ($_key == $_control) {
            echo('<OPTION VALUE="' . $_key . '" SELECTED="1">' . $_value . "</OPTION>\n");
        } else {
            echo('<OPTION VALUE="' . $_key . '">' . $_value .  "</OPTION>\n");
        }
    }

    unset($_controls);
    unset($_key);
    unset($_value);
?>
    <input type="hidden" name="page_id" value="<?php echo($_page_id); ?>"/>
</select>
</form>
<br>
<br>
<?php

    if ($_control == "yesno") {
?>
<form name="yesno_redirect_form">
  <label>Yes redirect:</label>
  <select name="yes_options">
<?php
    if ($_yes_redirect == "NONE") {
        echo('<option value="NONE" SELECTED="1">NONE</option>' . "\n");  
    } else {
        echo('<option value="NONE">NONE</option>' . "\n");  
    }
    
    foreach ($_pages as $_key => $_value) {
        if ($_yes_redirect == $_value) {
            echo('    <OPTION VALUE="' . $_value . '" selected="1">' . $_value . "</OPTION>\n");
        } else {
            echo('    <OPTION VALUE="' . $_value . '">' . $_value . "</OPTION>\n");
        }
    }
?>
  </select>
  <label style="position: absolute; left: 25%;">No redirect:</label>
  <select name="no_options" style="position: absolute; left: 34%;">

<?php
    if ($_no_redirect == "NONE") {
        echo('<option value="NONE" SELECTED="1">NONE</option>' . "\n");  
    } else {
        echo('<option value="NONE">NONE</option>' . "\n");  
    }
    
    foreach ($_pages as $_key => $_value) {
        if ($_no_redirect == $_value) {
            echo('    <OPTION VALUE="' . $_value . '" selected="1">' . $_value . "</OPTION>\n");
        } else {
            echo('    <OPTION VALUE="' . $_value . '">' . $_value . "</OPTION>\n");
        }
    }
?>
  </select>
</form>
<?php
    } else if (($_control == "choice") || ($_control == "multi")) {
        $_key =  '';
        $_value =  '';
        $_ccounts = array("2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12");

        echo('<form method="post" action="pageedit.php" name="choicecount_form">' . "\n");
        echo('  <label>Choice count' . "\n");
        echo('    <select name="choicecount" ONCHANGE="choicecount_form_handler();">' . "\n");

        foreach($_ccounts as $c) {
            if ($c == $_choicecount) {
                echo('   <option value="' . $c . '" SELECTED="1">' . $c . '</option>' . "\n");
            } else {
                echo('   <option value="' . $c . '">' . $c . '</option>' . "\n");
            }
        }

        echo('  <input type="hidden" name="page_id" value="' . $_page_id . '"/>' . "\n");
        echo('  </select>' . "\n");
        echo('</form>' . "\n");
        echo('<br>' . "\n");

?>
    <form name="choice_form">
      <label>Choices:</label><br>
      <table width="80%" cols="2" border="0">
<?php

        $c = 0;
        for ($i= 1; $i<=$_choicecount; $i++) {

            if ($i % 2 != 0) {
                echo('        <tr>' . "\n");
            }
            echo('          <td align="left">' . "\n");
            echo('            <label>' . $i . ': </label>' . "\n");
            echo('            <textarea name="choice' . $i . '" cols="40" rows="2" >' . $_choices["choice$i"] . '</textarea>' . "\n");
            if ($_control == "choice") {
                echo('            <label style="padding-left: 5%;">redirect:</label>' . "\n");
                echo('            <select name="choice' . $i . '_redirect_select">' . "\n");

                if ($_choice_redirects["choice$i"] == "NONE") {
                    echo('              <option value="NONE" SELECTED="1">NONE</option>' . "\n");  
                } else {
                    echo('              <option value="NONE">NONE</option>' . "\n");  
                }
        
                foreach ($_pages as $_key => $_value) {
                    if ($_choice_redirects["choice$i"] == $_value) {
                        echo('              <OPTION VALUE="' . $_value . '" selected="1">' . $_value . "</OPTION>\n");
                    } else {
                        echo('              <OPTION VALUE="' . $_value . '">' . $_value . "</OPTION>\n");
                    }
                }
            
                echo('            </select>' . "\n");
            }
            echo('          </td>' . "\n");

            if ($i % 2 == 0) {
                echo('        </tr>' . "\n");
            }

        }
?>
      </table>
    </form>
<?php
    }
?>

<form name="button_form">
    <label>Buttons:</label>
    <br>
<?php

    $_key =  '';
    $_value =  '';
    $_button_labels = array("dontknow" => "Don't Know",
                            "refuse"   => "Refuse",
                            "na"       => "Not Applicable",
                            "prev"     => "Previous",
                            "next"     => "Next",
                            "repeat"   => "Repeat");

    foreach ($_button_labels as $_key => $_value) {
        if ($_buttons[$_key] != 0) {
            echo('<input type="checkbox" name="' . $_key . '" checked>' . $_value . ".<br>\n");
        } else {
            echo('<input type="checkbox" name="' . $_key . '">' . $_value . ".<br>\n");
        }
    }

    unset($_key);
    unset($_value);
    unset($_button_labels);
?>

</form>

<form method="post" action="survey.php" target="_blank">
  <input type="submit" value="Show Page"/>
  <input type="hidden" name="user_id" value="test"/> 
  <input type="hidden" name="page_id" value="<?php echo($_page_id); ?>"/> 
</form>

<form name="apply_form" method="post" action="pageedit.php">
    <input type="hidden" name="page_id" value="<?php echo($_page_id); ?>"/>
    <input type="submit" value="Apply Changes" name="apply" onClick="apply_form_handler();">
</form>



<!--
  == Add page.
  -->
<h4>Page Management:</h4>
<form method="post" action="pageedit.php" name="new_page_form" onSubmit="return add_page_form_handler();">
<label>Add page</label>
    <input type="text" name="add_name"/>
    <select name="add_position">
        <option value="before" selected="1">before</option>
        <option value="after" selected="1">after</option>
    </select>
    <select name="add_around">
<?php
    $_key =  '';
    $_value =  '';
    foreach ($_pages as $_key => $_value) {
        if ($_key == $_page_id) {
            echo('<OPTION VALUE="' . $_value . '" SELECTED="1">' . $_value . "</OPTION>\n");
        } else {
            echo('<OPTION VALUE="' . $_value . '">' . $_value . "</OPTION>\n");
        }
    }
    unset ($_key);
    unset ($_value);
?>
    </select>
    <input type="submit" value="Create Page!" name="create_page">
</form>

<form method="post" action="pageedit.php" name="move_page_form">
<label>Move this page</label>
    <select name="move_position">
        <option value="before" selected="1">before</option>
        <option value="after" selected="1">after</option>
    </select>
    <select name="move_around">
<?php
    $_key =  '';
    $_value =  '';
    foreach ($_pages as $_key => $_value) {
        if ($_key == $_page_id) {
            echo('<OPTION VALUE="' . $_value . '" SELECTED="1">' . $_value . "</OPTION>\n");
        } else {
            echo('<OPTION VALUE="' . $_value . '">' . $_value . "</OPTION>\n");
        }
    }
    unset ($_key);
    unset ($_value);
?>
    </select>
    <input type="hidden" name="move_page" value="<?php echo($_title) ?>"/>
    <input type="submit" value="Move Page!">
</form>

<form method="post" action="pageedit.php" name="delete_page_form" onSubmit="return delete_page_form_handler();">
<label>Delete page</label>
    <select name="delete_page">
<?php
    $_key =  '';
    $_value =  '';
    foreach ($_pages as $_key => $_value) {
        if ($_key == $_page_id) {
            echo('<OPTION VALUE="' . $_value . '" SELECTED="1">' . $_value . "</OPTION>\n");
        } else {
            echo('<OPTION VALUE="' . $_value . '">' . $_value . "</OPTION>\n");
        }
    }
    unset ($_key);
    unset ($_value);
?>
    </select>
    <input type="submit" value="Delete Page!">
</form>
<br>
<br>

<pre>
<?php echo($_post); ?>
</pre>

</BODY>
